net.minecraft.world.gen.feature

## Class WorldGenerator

- java.lang.Object
- - net.minecraft.world.gen.feature.WorldGenerator

- Direct Known Subclasses:
    WorldGenAbstractTree, WorldGenBigMushroom, WorldGenBlockBlob, WorldGenCactus, WorldGenClay, WorldGenDeadBush, WorldGenDesertWells, WorldGenDoublePlant, WorldGenDungeons, WorldGeneratorBonusChest, WorldGenFire, WorldGenFlowers, WorldGenGlowStone1, WorldGenGlowStone2, WorldGenHellLava, WorldGenIcePath, WorldGenIceSpike, WorldGenLakes, WorldGenLiquids, WorldGenMelon, WorldGenMinable, WorldGenPumpkin, WorldGenReed, WorldGenSand, WorldGenSpikes, WorldGenTallGrass, WorldGenVines, WorldGenWaterlily

      public abstract class WorldGenerator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldGenerator()`
    `WorldGenerator(boolean par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `func_150515_a(World p_150515_1_, int p_150515_2_, int p_150515_3_, int p_150515_4_, Block p_150515_5_)`
    `abstract boolean` | `generate(World var1, java.util.Random var2, int var3, int var4, int var5)`
    `protected void` | `setBlockAndNotifyAdequately(World p_150516_1_, int p_150516_2_, int p_150516_3_, int p_150516_4_, Block p_150516_5_, int p_150516_6_)`
    `void` | `setScale(double par1, double par3, double par5)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldGenerator

          public WorldGenerator()

    - #### WorldGenerator

          public WorldGenerator(boolean par1)

  - ### Method Detail

    - #### generate

          public abstract boolean generate(World var1,
                         java.util.Random var2,
                         int var3,
                         int var4,
                         int var5)

    - #### setScale

          public void setScale(double par1,
                      double par3,
                      double par5)

    - #### func_150515_a

          protected void func_150515_a(World p_150515_1_,
                           int p_150515_2_,
                           int p_150515_3_,
                           int p_150515_4_,
                           Block p_150515_5_)

    - #### setBlockAndNotifyAdequately

          protected void setBlockAndNotifyAdequately(World p_150516_1_,
                                         int p_150516_2_,
                                         int p_150516_3_,
                                         int p_150516_4_,
                                         Block p_150516_5_,
                                         int p_150516_6_)